com.hazelcast.spi.exception

## Class WrongTargetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.core.HazelcastException
        - - com.hazelcast.spi.exception.RetryableHazelcastException
          - - com.hazelcast.spi.exception.WrongTargetException

- All Implemented Interfaces:
    RetryableException, Serializable

      public class WrongTargetException
      extends RetryableHazelcastException

  A `RetryableHazelcastException` indicating that an operation is executed on a wrong member.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrongTargetException(Member localMember, Member target, int partitionId, int replicaIndex, String operationName)`
    `WrongTargetException(Member localMember, Member target, int partitionId, int replicaIndex, String operationName, String serviceName)`
    `WrongTargetException(String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Member` | `getTarget()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrongTargetException

          public WrongTargetException(Member localMember,
                                      Member target,
                                      int partitionId,
                                      int replicaIndex,
                                      String operationName)

    - #### WrongTargetException

          public WrongTargetException(Member localMember,
                                      Member target,
                                      int partitionId,
                                      int replicaIndex,
                                      String operationName,
                                      String serviceName)

    - #### WrongTargetException

          public WrongTargetException(String message)

  - ### Method Detail

    - #### getTarget

          public Member getTarget()

Copyright © 2019. All rights reserved.